From dd63cc0a25f9fb34a2f28306c06a668d66564463 Mon Sep 17 00:00:00 2001
From: Mike Gilbert <floppym@gentoo.org>
Date: Mon, 4 Jul 2022 19:08:45 -0400
Subject: [PATCH] fix(virtiofs): make shebangs work on split-usr systems

Fixes: c29325a982013a315418cdb2318e90cf77e387b5
Signed-off-by: Mike Gilbert <floppym@gentoo.org>
---
 modules.d/95virtiofs/module-setup.sh   | 2 +-
 modules.d/95virtiofs/mount-virtiofs.sh | 2 +-
 modules.d/95virtiofs/parse-virtiofs.sh | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/modules.d/95virtiofs/module-setup.sh b/modules.d/95virtiofs/module-setup.sh
index e5f209e0a..70c10584a 100755
--- a/modules.d/95virtiofs/module-setup.sh
+++ b/modules.d/95virtiofs/module-setup.sh
@@ -1,4 +1,4 @@
-#!/usr/bin/bash
+#!/bin/bash
 
 # called by dracut
 check() {
diff --git a/modules.d/95virtiofs/mount-virtiofs.sh b/modules.d/95virtiofs/mount-virtiofs.sh
index 507911cf5..c7e31d041 100755
--- a/modules.d/95virtiofs/mount-virtiofs.sh
+++ b/modules.d/95virtiofs/mount-virtiofs.sh
@@ -1,4 +1,4 @@
-#!/usr/bin/sh
+#!/bin/sh
 
 if [ "${fstype}" = "virtiofs" -o "${root%%:*}" = "virtiofs" ]; then
     if ! { modprobe virtiofs || strstr "$(cat /proc/filesystems)" virtiofs; }; then
diff --git a/modules.d/95virtiofs/parse-virtiofs.sh b/modules.d/95virtiofs/parse-virtiofs.sh
index 8b8cf760d..760e41385 100755
--- a/modules.d/95virtiofs/parse-virtiofs.sh
+++ b/modules.d/95virtiofs/parse-virtiofs.sh
@@ -1,4 +1,4 @@
-#!/usr/bin/sh
+#!/bin/sh
 # Accepted formats:
 # 	rootfstype=virtiofs root=<tag>
 # 	root=virtiofs:<tag>
